Plesk installer error: dpkg was interrupted

Created:

2016-11-16 13:14:30 UTC

Modified:

2017-08-08 13:14:13 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk installer error: dpkg was interrupted

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk Onyx for Linux
  • Plesk 12.0 for Linux

Symptoms

Plesk autoinstaller gives the following error:

# /usr/local/psa/admin/bin/autoinstaller --debug
................
Gathering information about installed license key...
Checking whether the package dependencies are resolved.
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
---X--- `apt-get` output ---------------------
~empty
---------------------- `apt-get` output ---X---
Collecting error details into log file...

ERROR: Installation will not continue

The apg-get failed with the following message:

Not all packages were installed.
Please, contact product technical support.

The following error may appear when opening Tools and Settings > Updates and Upgrades and trying to install some components:

Cause

Package dependency issue.

Resolution

Run the following command to fix the issue with dependencies:

    # dpkg --configure -a

Attachments:

Have more questions? Submit a request
Please sign in to leave a comment.